Skip to content

Get BYO AI key status

GET
/settings/byo-ai

Returns masked/configured status for hosted Pro account BYO AI API keys. Raw API keys are never returned.

Authorizations

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Responses

OK

application/json
JSON
{
  
"settings": {
  
  
"global": {
  
  
  
"openai_api_key": {
  
  
  
  
"configured": true,
  
  
  
  
"masked": "string"
  
  
  
},
  
  
  
"gemini_api_key": {
  
  
  
  
"configured": true,
  
  
  
  
"masked": "string"
  
  
  
}
  
  
},
  
  
"email": {
  
  
  
"openai_api_key": {
  
  
  
  
"configured": true,
  
  
  
  
"masked": "string"
  
  
  
},
  
  
  
"gemini_api_key": {
  
  
  
  
"configured": true,
  
  
  
  
"masked": "string"
  
  
  
}
  
  
},
  
  
"instructions": {
  
  
  
"global": "string",
  
  
  
"email": "string",
  
  
  
"email_triage": "string"
  
  
},
  
  
"email_settings": {
  
  
  
"auto_triage_incoming": true,
  
  
  
"send_draft_emails_automatically": true
  
  
}
  
}
}

Playground

Authorization

Samples

Powered by VitePress OpenAPI